PDO_PGSQL DSN
PDO::pgsqlCopyFromFile
PostgreSQL (PDO)
PHP Manual

# PDO::pgsqlCopyFromArray

(PHP 5 >= 5.3.3)

PDO::pgsqlCopyFromArray — Copy data from PHP array into table

### Description

public bool PDO::pgsqlCopyFromArray ( string `$table_name` , array `$rows` [, string `$delimiter` = '\t' [, string `$null_as` = "\\\\N" [, string `$fields` ]]] )

Copies data from `rows` array to table `table_name` using `delimiter` as fields delimiter and `fields` list

### Parameters

`table_name`

  String containing table name

`rows`

  Array of strings with fields separated by `delimiter`

`delimiter`

  Delimiter used in `rows` array

`null_as`

  How to interpret null values

`fields`

  List of fields to insert

### Return Values

Returns `TRUE` on success, or `FALSE` on failure.

PDO_PGSQL DSN
PDO::pgsqlCopyFromFile
PostgreSQL (PDO)
PHP Manual